Summary:	File manager
Summary(pl.UTF-8):	Zarządca plików
Name:		rox
Version:	2.11
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/rox/rox-filer-%{version}.tar.bz2
# Source0-md5:	0eebf05a67f7932367750ebf9faf215d
Source1:	%{name}.desktop
Patch0:		%{name}-help.patch
Patch1:		%{name}-linking.patch
URL:		http://rox.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	libxml2-devel >= 2.0.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	shared-mime-info >= 0.14
BuildRequires:	xorg-lib-libSM-devel
Requires:	glib2 >= 2.0.3
Requires:	gtk+2 >= 2:2.4.0
Requires:	libxml2 >= 2.0.0
Requires(post,postun):	shared-mime-info >= 0.14
Conflicts:	rox-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _platform %(echo `uname -s`-`uname -m|sed 's/i.86/ix86/'`)
%define		_roxdir %{_libdir}/rox

%description
ROX-Filer is a small, fast and powerful file manager for Linux and
Unix systems.

%description -l pl.UTF-8
ROX-Filer jest małym, szybkim programem do zarządzania plikami o
dużych możliwościach przeznaczonym dla Linuksa i innych systemów
uniksowych.

%prep
%setup -q -n rox-filer-%{version}
%patch -P0 -p1
%patch -P1 -p1

%build
cd ROX-Filer/src
%{__autoconf}

cd -

mkdir ROX-Filer/build
cd ROX-Filer/build
../src/%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d \
	$RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_localedir} \
	$RPM_BUILD_ROOT%{_datadir}/mime/packages \
	$RPM_BUILD_ROOT%{_mandir}/man1 \
	$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_iconsdir} \
	$RPM_BUILD_ROOT%{_pixmapsdir} \
	$RPM_BUILD_ROOT%{_roxdir}/ROX-Filer/Help \
	$RPM_BUILD_ROOT/etc/xdg/rox.sourceforge.net

cat >> $RPM_BUILD_ROOT%{_bindir}/rox << 'EOF'
#!/bin/sh
exec %{_roxdir}/ROX-Filer/AppRun "$@"
EOF

install rox.xml $RPM_BUILD_ROOT%{_datadir}/mime/packages

install rox.1 $RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

install ROX-Filer/.DirIcon $RPM_BUILD_ROOT%{_pixmapsdir}/rox.png

install ROX-Filer/Help/Manual*.html $RPM_BUILD_ROOT%{_roxdir}/ROX-Filer/Help

cp -r ROX-Filer/ROX $RPM_BUILD_ROOT%{_iconsdir}

cp -r ROX-Filer/images $RPM_BUILD_ROOT%{_roxdir}/ROX-Filer

install ROX-Filer/AppRun $RPM_BUILD_ROOT%{_roxdir}/ROX-Filer
install ROX-Filer/ROX-Filer $RPM_BUILD_ROOT%{_roxdir}/ROX-Filer

install ROX-Filer/*.{css,xml} $RPM_BUILD_ROOT%{_roxdir}/ROX-Filer

install ROX-Filer/.DirIcon $RPM_BUILD_ROOT%{_roxdir}/ROX-Filer
cp -r ROX-Filer/Messages/* $RPM_BUILD_ROOT%{_localedir}

%{__rm} $RPM_BUILD_ROOT%{_localedir}/README
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{et_EE,no,pt_PT}


%find_lang ROX-Filer

cp -r Choices/* $RPM_BUILD_ROOT/etc/xdg/rox.sourceforge.net

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_mime_database

%postun
%update_mime_database

%files -f ROX-Filer.lang
%defattr(644,root,root,755)
%doc ROX-Filer/Help/{Changes,README,TODO}
%lang(es) %doc ROX-Filer/Help/README-es
%attr(755,root,root) %{_bindir}/rox
%dir %{_roxdir}
%dir %{_roxdir}/ROX-Filer
%dir %{_roxdir}/ROX-Filer/Help
%{_roxdir}/ROX-Filer/Help/Manual.html
%lang(fr) %{_roxdir}/ROX-Filer/Help/Manual-fr.html
%lang(it) %{_roxdir}/ROX-Filer/Help/Manual-it.html
%{_roxdir}/ROX-Filer/images
%attr(755,root,root) %{_roxdir}/ROX-Filer/AppRun
%attr(755,root,root) %{_roxdir}/ROX-Filer/ROX-Filer
%{_roxdir}/ROX-Filer/*.xml
%{_roxdir}/ROX-Filer/*.css
%{_roxdir}/ROX-Filer/.DirIcon
%dir /etc/xdg/rox.sourceforge.net
%dir /etc/xdg/rox.sourceforge.net/MIME-types
%attr(755,root,root) /etc/xdg/rox.sourceforge.net/MIME-types/*
%{_datadir}/mime/packages/rox.xml
%{_desktopdir}/rox.desktop
%{_iconsdir}/ROX
%{_pixmapsdir}/rox.png
%{_mandir}/man1/*
%changelog
* Tue Jul 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rox.git;a=log;h=master

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 66ef273
- Release 2 (by relup.sh)

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e7c395
- Fix applying patches.

* Sun Oct 16 2011 Jan Palus <jan.palus@gmail.com> 1721279
- up to 2.11

* Thu Jan 27 2011 Jan Palus <jan.palus@gmail.com> d9e0316
- up to 2.10
- linking patch for missing -ldl
- Messages are standard locale now

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c51632d
- release 2

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 5cdff40
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 64a3de2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5de385e
- converted to UTF-8

* Sat Sep 30 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 0adde3a
- up to 2.5

* Sat Apr 22 2006 Jan Rękorajski <baggins@pld-linux.org> d92ce72
- orphaned, outdated

* Sat Mar 18 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 72c341b
- modular xorg deps

* Fri Feb 03 2006 Jakub Bogusz <qboosh@pld-linux.org> 8094f33
- umask 022 for update-mime-database

* Fri Dec 30 2005 Marcin Banasiak <marcin.banasiak@gmail.com> aeb5239
- updated to 2.4.1

* Wed Dec 14 2005 Marcin Banasiak <marcin.banasiak@gmail.com> bdf87d4
- updated to 2.4

* Tue Sep 13 2005 Michał Łukaszek <mlukaszek+pld@gmail.com> 11bcf99
- added BR: shared-mime-info >= 0.16

* Thu Aug 18 2005 Elan Ruusamäe <glen@pld-linux.org> 3a39334
- simplify inline redirection

* Wed Aug 17 2005 Jakub Bogusz <qboosh@pld-linux.org> ac7a405
- just lang(et) for et_EE

* Wed Aug 17 2005 adgor <adgor@pld-linux.org> 4f208d9
- Updated to 2.3
- I hope, i repared what i broke in a pasts
- rox-apps-dir related specs must be fixed
  (anyway almost all that stuff needs update/review)

* Sun May 15 2005 ankry <ankry@pld-linux.org> d1f509a
- %post shouldn't fail if no rw permission to /usr

* Fri Apr 29 2005 Marcin Banasiak <marcin.banasiak@gmail.com> 1936057
- added dir %{_appsdir}
- release 2

